<?php
use LabBase\Model\Brand;
use LabBase\Model\User;

echo $this->doctype(); ?>

<html lang="en">
<head>
    <meta charset="utf-8">
    <?= $this->headTitle(); ?>
    <meta name="description" content="">
    <meta name="keywords" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=0" />
    <link href='https://fonts.googleapis.com/css?family=Montserrat:400,700|Open+Sans:400,600,300,700,300italic' rel='stylesheet' type='text/css'>
    <link href="/css/bootstrap.min.css" rel="stylesheet" />
    <link href="/css/open-iconic.css" rel="stylesheet" />
    <link href="/css/style.css" rel="stylesheet" />
    <link href="/css/style-feed.css" rel="stylesheet" />
    <link href="/css/font-awesome.min.css" rel="stylesheet" />
    <link href="/css/main.css" rel="stylesheet">
    <link rel="stylesheet" href="/css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="/css/jquery.scrollbar.css">
    <link rel="icon" href="favicon.ico" type="image/x-icon">

    <?= $this->headStyle() ?>

    <script>
        window.onGloabalJS = [];
    </script>

    <?= $this->headScript()
        ->prependFile($this->basePath() . '/js/jquery-1.11.3.min.js') ?>
</head>
<body>

<script type="text/javascript">
	/* fonts selection
	
    WebFontConfig = {
        google: { families: [ 'Open+Sans:400,700:latin', 'Lato:400,700:latin', 'Slabo+27px::latin', 'Ubuntu:400,700:latin', 'PT+Sans+Narrow:400,700:latin' ] }
    };
    (function() {
        var wf = document.createElement('script');
        wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
        '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
        wf.type = 'text/javascript';
        wf.async = 'true';
        var s = document.getElementsByTagName('script')[0];
        s.parentNode.insertBefore(wf, s);
    })();
    function setFont(font) {
        $('body').css('font-family', '"'+font+'","Courier New",sans-serif')
    }
	*/

	// Analytics
    (function(i,s,o,g,r,a,m){i['GoogleAnalyticsObject']=r;i[r]=i[r]||function(){
        (i[r].q=i[r].q||[]).push(arguments)},i[r].l=1*new Date();a=s.createElement(o),
        m=s.getElementsByTagName(o)[0];a.async=1;a.src=g;m.parentNode.insertBefore(a,m)
    })(window,document,'script','//www.google-analytics.com/analytics.js','ga');

    ga('create', 'UA-65304458-1', 'auto');
    ga('send', 'pageview');

    function getPageAnalURL() {
        var s = document.location.href.toString();
        s = s.slice(s.indexOf('//') + 2);
        return s.slice(s.indexOf('/')); // include the '/'
    }

</script>

<!-- Font selection
<style>
    .fontSelection:hover {
        background-color: #ccc;
        color: #37f;
    }
    .fontSelection {
        position: fixed;
        top: 50px;
        right: 0;
        width: 130px;
        padding: 5px;
        background-color: rgba(0,0,0,0.1);
        color: rgba(0,0,0,0);
    }
    .fontSelection a {
        color: inherit;
        margin: 4px 0;
        display: block;
    }
</style>
<div class="fontSelection">
    <a href="#" onclick="setFont('Open Sans'); return false;">Open Sans</a>
    <a href="#" onclick="setFont('Lato'); return false;">Lato</a>
    <a href="#" onclick="setFont('Slabo 27px'); return false;">Slabo</a>
    <a href="#" onclick="setFont('Ubuntu'); return false;">Ubuntu</a>
    <a href="#" onclick="setFont('PT Sans Narrow'); return false;">PT Sans Narrow</a>
</div>
-->


<!-- Facebook and Twitter SDK -->
<div id="fb-root"></div>
<script>
    // Facebook:
    (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0];
        if (d.getElementById(id)) return;
        js = d.createElement(s); js.id = id;
        js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&appId=1050501688309785&version=v2.0";
        fjs.parentNode.insertBefore(js, fjs);
    }(document, 'script', 'facebook-jssdk'));

    // Twitter:
    window.twttr = (function(d, s, id) {
        var js, fjs = d.getElementsByTagName(s)[0],
            t = window.twttr || {};
        if (d.getElementById(id)) return;
        js = d.createElement(s);
        js.id = id;
        js.src = "https://platform.twitter.com/widgets.js";
        fjs.parentNode.insertBefore(js, fjs);

        t._e = [];
        t.ready = function(f) {
            t._e.push(f);
        };

    return t;
    }(document, "script", "twitter-wjs"));
</script>


<div id="dialogBox-container"></div>

<script src="<?php echo $this->basePath(); ?>/js/global.js"></script>


<!-- Content start -->

<nav class="navbar navbar-default">
    <div class="wrapper">




        <?
        /** @var User $user */
        $user = $this->sessionInfo()->getLoggedInUser();

        $brandName = null;
        if($this->BrandName) {
            $brandName = $this->BrandName;
            $brandUrl = $this->BrandUrl;
        }else{
            if ($user && $user->lastVisitedBrandId !== null) {
                /** @var Brand $brand */
                $brand = $this->sessionInfo()->getBrandById($user->lastVisitedBrandId);
                if ($brand) {
                    $brandName = $brand->name;
                    $brandUrl = $brand->url;
                }
            }
        }

        if($user) {
            ?>

            <div class="navbar-header">
                <div class="dropdown user hidden-sm hidden-md hidden-lg pull-right">
                    <a href="#" class="dropdown-toggle head-font" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                        <i></i>
                        <i></i>
                        <i></i>
                    </a>
                    <ul class="dropdown-menu">

                        <li><a href="<?= $this->url('root/register'); ?>">Register new Brand</a></li>
                        <li><a href="<?= $this->url('root/myBrand'); ?>">Manage my brand</a></li>
                        <li><a href="<?= $this->url('root/userSettings'); ?>">Account settings</a></li>
                        <?php
                        $draftCnt = (isset($this->draftspostCnt) && $this->draftspostCnt > 0) ? '('.$this->draftspostCnt.')' : '';
                        ?>
                        <li><a href="<?php echo $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url, 'postIdOrType' => 'drafts']); ?>">Saved Drafts <?php echo $draftCnt; ?></a></li>
                        <!-- hidden until we fill it with some content
                        <li><a href="<?= $this->url('root/brandOwnerHelp'); ?>">Help</a></li> -->
                        <?
                        if($user->isAdmin()) {
                            ?>
                            <li><a href="<?= $this->url('root/adminPanel') ?>">Admin Panel</a></li>
                            <?
                        }
                        ?>
                        <li><a href="<?= $this->url('root/logout', ['sessionId' => $user->sessionId]) ?>">Sign out</a></li>

                    </ul>
                </div>
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false">
                    <span class="icon-menu"></span>
                </button>
                <a class="navbar-brand head-font"><h4><?= $brandName !== null ? $brandName : 'Love a Brand' ?></h4><span class="icon-check-circled"></span></a>
            </div>
            <div class="collapse navbar-collapse" id="navbar-collapse">
                <form class="navbar-form navbar-left" role="search">
                    <div class="form-group">
                        <input type="search" class="form-control light" placeholder="Search brands...">
                        <button type="submit" class="icon-magnifier"></button>
                    </div>
                </form>
                <ul class="nav navbar-nav navbar-right category-mobile-container">
                    <li class="notf hidden-xs">
                        <a href="#" id="notification" class="active">
                            <i class="notf-pop notificationCounter" id="notificationDropdownIconIndicator" style="display: none;"></i>
                            <span class="icon-chat2"></span>
                        </a>
                        <div class="notf-drop">
                            <ul class="list-unstyled" id="notificationDropdownContent">

                                <li><a href="#">
                                        <p class="text-muted"><em>No new notifications</em></p>
                                    </a></li>

                            </ul>
                        </div>
                    </li>

                    <li class="hidden-sm hidden-md hidden-lg category-mobile-marker"><a href="#">Notifications <span class="notificationCounter parentheses"></span></a></li>

                    <li class="dropdown user hidden-xs">
                        <a href="#" class="dropdown-toggle head-font" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <img class="profile-pic" src="<?= $this->imageLinker()->getUserAvatarLink($user); ?>" alt=""/>
                            <span class="icon-user hidden"></span>
                            <?= $user->fullName ?> <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a href="<?= $this->url('root/register'); ?>">Register new Brand</a></li>
                            <li><a href="<?= $this->url('root/myBrand'); ?>">Manage my brand</a></li>
                            <li><a href="<?= $this->url('root/userSettings'); ?>">Account settings</a></li>
                            <?php
                            $draftCnt = (isset($this->draftspostCnt) && $this->draftspostCnt > 0) ? '('.$this->draftspostCnt.')' : '';
                            ?>
                            <li><a href="<?php echo $this->url('root/brandFeed', ['brandUrl' => $this->thisBrand->url, 'postIdOrType' => 'drafts']); ?>">Saved Drafts <?php echo $draftCnt; ?></a></li>

                            <!-- hidden until we fill it with some content
                        <li><a href="<?= $this->url('root/brandOwnerHelp'); ?>">Help</a></li> -->
                            <?
                            if($user->isAdmin()) {
                                ?>
                                <li><a href="<?= $this->url('root/adminPanel') ?>">Admin Panel</a></li>
                                <?
                            }
                            ?>
                            <li><a href="<?= $this->url('root/logout', ['sessionId' => $user->sessionId]) ?>">Sign out</a></li>
                        </ul>
                    </li>
                </ul>
            </div><!-- /.navbar-collapse -->

        <? }else{ ?>

            <div class="navbar-header">
                <div class="dropdown user hidden-sm hidden-md hidden-lg pull-right">
                    <a href="#" class="dropdown-toggle head-font" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                        <i></i>
                        <i></i>
                        <i></i>
                    </a>
                    <ul class="dropdown-menu">

                        <li><a href="<?= $this->url('root/register'); ?>">Join us</a></li>
                        <li><a href="<?= $this->url('root/signin'); ?>">I already have an account</a></li>

                    </ul>
                </div>
                <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar-collapse" aria-expanded="false">
                    <span class="icon-menu"></span>
                </button>
                <a class="navbar-brand head-font"><h4><?= $brandName !== null ? $brandName : 'Love a Brand' ?></h4><span class="icon-check-circled"></span></a>
            </div>
            <div class="collapse navbar-collapse" id="navbar-collapse">
                <form class="navbar-form navbar-left" role="search">
                    <div class="form-group">
                        <input type="search" class="form-control light" placeholder="Search brands...">
                        <button type="submit" class="icon-magnifier"></button>
                    </div>
                </form>
                <ul class="nav navbar-nav navbar-right">

                    <li class="hidden-sm hidden-md hidden-lg"><a href="<?= $this->url('root/register'); ?>">Join us</a></li>
                    <li class="hidden-sm hidden-md hidden-lg"><a href="<?= $this->url('root/signin'); ?>">I already have an account</a></li>

                    <li class="dropdown user hidden-xs">

                        <a href="#" class="dropdown-toggle head-font" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">
                            <span class="icon-user hidden"></span>
                            Sign In <span class="caret"></span>
                        </a>
                        <ul class="dropdown-menu">
                            <li><a href="<?= $this->url('root/register'); ?>">Join us</a></li>
                            <li><a href="<?= $this->url('root/signin'); ?>">I already have an account</a></li>
                        </ul>

                    </li>

                </ul>


            </div><!-- /.navbar-collapse -->

        <? } ?>

    </div><!-- /.container-fluid -->
</nav>


<noscript>
    <div style="margin: 15px 10px 0 10px">
        <div class="align-center">
            <div class="alertbox">
                This website requires JavaScript for proper functionality.
                Please re-enable JavaScript.
            </div>
        </div>
    </div>
</noscript>


<div id="site-content">
    <?= $this->content; ?>
</div>
<!-- Content end -->

<?= $this->inlineScript() ?>

</body>

</html>



